Bug 5036 - Add SWORD deposit support
Add SWORD deposit support
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
2.3.3
PC Linux
: P5 enhancement
Assigned To: Alec Smecher
: 3263 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-12 16:24 PST by Alec Smecher
Modified: 2010-06-25 17:15 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against PKP pre-release to add swordapp-php library 0.9 (36.70 KB, patch)
2010-02-05 15:14 PST, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2010-01-12 16:24:14 PST
Integrate and update SWORD deposit plugin from http://pkp.sfu.ca/support/forum/viewtopic.php?f=28&t=3877 -- Scott Yeadon would like his team to be credited in the code headers as follows:

"Based on the SWORD plugin written by Leo Monus (leo dot monus at anu dot edu dot au) and Scott Yeadon (scott dot yeadon at anu dot edu dot au), Australian National University"
Comment 1 Alec Smecher 2010-01-12 17:26:04 PST
Second thought: if licenses can be reconciled, it might be best to use the swordapp PHP library at http://github.com/stuartlewis/swordapp-php-library (appears to be Modified BSD, which is GPL compatible, but README states it's BSD).
Comment 2 Alec Smecher 2010-02-05 15:10:55 PST
*** Bug 3263 has been marked as a duplicate of this bug. ***
Comment 3 Alec Smecher 2010-02-05 15:12:13 PST
Clarified the license with Stuart Lewis -- the swordapp-php library is indeed under a modified BSD license, which http://www.gnu.org/licenses/license-list.html states is GPL compatible.
Comment 4 Alec Smecher 2010-02-05 15:14:08 PST
Created attachment 2991 [details]
Patch against PKP pre-release to add swordapp-php library 0.9